open Map
open Table
open Turing
open Macro_strip
open Macro_table
  
module type TMacro_Machine =
sig
  open Table
  open Macro_Strip
  open Macro_Table

  type tmacroresult =
    | MACSTOP of tstrip * tcount
    | MACUNDEF of tcell * tstate
    | MACCRAZY
    
  val run : ttable -> tsize -> tmacroresult
end

module Macro_Machine : TMacro_Machine
