open Turing

module type TMacro_Strip = sig
  exception Infinite_Loop

  type tstrip

  val init : unit -> tstrip
  val read : tstrip -> tbigcell * tpos
  val write : tbigcell -> tstrip -> tstrip
  val app_trans : tstrip -> tdep -> tcell -> tstrip
  val app_trans_it : tstrip -> tdep -> tcell -> tstrip * tcount
  val find_one : tstrip -> bool
  val count_ones : tsize -> tstrip -> tcount
  val length : tstrip -> int
end

module Macro_Strip : TMacro_Strip
