open Turing

module type TMini_Machine =
sig

  open Table
  
  type tminiresult = | MOK of tbigcell * tdep * tminicount * tstate
		 | MSTOP of tbigcell * tminicount
		 | MUNDEF of tcell * tstate
		 | MCRAZY
    
  val run : Table.ttable -> tbigcell -> tsize -> tpos -> tminiresult

end

module Mini_Machine : TMini_Machine
