(****************************************)
(* File turing.mli : shared definitions *)
(****************************************)

open Big_int
   
(* Type of table cells *)
type tcell = int
(* Type of macro-table cells *)    
type tbigcell = int
(* Moves on the strip *)
type tdep = Goleft | Goright
(* States of the machines *)
type tstate = int
(* Position on a macro-cell *)
type tpos = | Left | Right
(* Size of the machines (in number of states) *)
type tsize = int
(* The type of counters *)
type tminicount = int
(* The type of big counters *)
type tcount = Big_int.big_int

